Is Aether Mod compatible with FTB?

Discussion in 'Mod Discussion' started by GoldHW, Nov 24, 2012.

  1. GoldHW

    GoldHW New Member

    Hi all
    I have always wanted to download the aether mod (it looks awesome), n now that modding is so easy with FTB's mod folder, I was hoping I could finally get round to it :D
    However, my question to you is: Is the aether mod compatible with the current version of FTB, or will it completely mess everything up if i try to download it?

    cheers
  2. Dravarden

    Dravarden Well-Known Member

    Is that mod even updated to 1.4? I know it works for 1.7.3 and 1.0.0, since they take a long time to update, I ask.
  3. I can't find anything on the Aether more recent than 1.2.5, and some people are even saying that the creator quit (I don't care enough to check if that's true).
    So, no. It's not compatible with FTB, because FTB is no longer in 1.2.5.
  4. thejoshknight

    thejoshknight Member

    No, The Aether mod itself has been dead for quite a long time.
  5. aaronhowser1

    aaronhowser1 New Member

    Whovian and benben500 like this.
  6. Dravarden

    Dravarden Well-Known Member

    meh, it updates every 5 updates, not worth it.
  7. Laskeri

    Laskeri New Member

    To be fair, the past updates have been pretty major (1.2.5 - 1.3, for example, and now 1.4.7 - 1.5.1) but Forge has runtime deobfuscation now which should help the devs majorly.
  8. Devilmixer

    Devilmixer Member

    it is not updatet yet they are doing it for 1.5, and the current is 1.0
  9. Jonathan1999

    Jonathan1999 New Member

    visit their facebook page
  10. benben500

    benben500 Member

    I hope it will be, but it is still in development.
  11. ICountFrom0

    ICountFrom0 Well-Known Member

    please do visit them on facebook and join the crew of us trying to sweet talk them into joining the launcher... if they won't even do that, well, how can they be talked into making it compatable, if they won't even come to the table and talk?

    Could you picture magic world with twlight and aethir?
  12. Exedra

    Exedra Forum Addict

    By the time it's updated to 1.5, we'll have 2.0+
    Dravarden likes this.
  13. Dravarden

    Dravarden Well-Known Member

    And they won't update till 2.3 or something alike.

    I rather have the twilight forest, which is the same thing but with actual updates.
  14. NIBIRO80

    NIBIRO80 New Member

    current version of aether is aether II 1.5.1 but dunno if possible to add

Share This Page